# SDALocalToLocalEnd

Maps from a local representation (including ghostpoints) to another where the ghostpoints in the second are set correctly. Must be preceeded by SDALocalToLocalBegin().

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT SDALocalToLocalEnd(SDA sda,PetscScalar *g,InsertMode mode,PetscScalar *l)

### Input Parameters

da -the distributed array context
g -the original vector
mode -one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the vector with correct ghost values

### Keywords

distributed array, global to local, end

### See Also

SDALocalToLocalBegin(), SDACreate2d()

Level:beginner
Location: src/dm/da/utils/sda2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages